# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:           xwxapt
Version:        2.0
#Beta
Release:        alt1_6.beta
Summary:        GTK+ graphical application for decoding and saving weather images
Group:          Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/apt.html
Source0:        http://5b4az.chronos.org.uk/pkg/apt/xwxapt/%{name}-%{version}-beta.tar.bz2
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
#Wrapper script for user config
Source3:        %{name}.sh.in

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libalsa-devel

Requires:	libalsa
Source44: import.info

%description
xwxapt is a GTK+ graphical version of wxapt. It uses the same decoding
engine as wxapt but it displays APT images at half-size as they are
received, storing the full-sized files when reception is completed. 

It also displays some status information (audio level, sync level,
sync status etc) and text messages as it runs.

%prep
%setup -qn %{name}

%build
./autogen.sh
%configure LDFLAGS="-lm"
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" PACKAGE_LIBS="$PACKAGE_LIBS -lm"

%install
make install DESTDIR=$RPM_BUILD_ROOT

#install default user configuration file
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/xwxapt/xwxaptrc $RPM_BUILD_ROOT%{_datadir}/%{name}/xwxaptrc

#move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin

#install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xwxapt

# no upstream .desktop or icon yet so we'll use a temporary one
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install  \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor="fedora" obsolete per new guidelines

%files
%doc AUTHORS README
%doc doc/xwxapt.html
%{_bindir}/*
%{_libexecdir}/*
# wildcard _libexecdir/*
%exclude %_prefix/lib/debug
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_6.beta
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_5.beta
- initial fc import

